import { AccessController } from "./access-controller.js";
import { AccessDevice } from "./access-device.js";
import { EventEmitter } from "node:events";
export declare class AccessEvents extends EventEmitter {
    private api;
    private controller;
    private eventsHandler;
    private readonly eventTimers;
    private hap;
    private log;
    private mqttPublishTelemetry;
    private platform;
    private udaApi;
    private udaDeviceState;
    private udaUpdatesHandler;
    private unsupportedDevices;
    constructor(controller: AccessController);
    private udaUpdates;
    private manageDevices;
    private configureEvents;
    motionEventHandler(accessDevice: AccessDevice): void;
    private motionEventDelivery;
}
