import { AccessDeviceConfig } from "unifi-access";
import { PlatformAccessory } from "homebridge";
import { AccessController } from "./access-controller.js";
import { AccessDevice } from "./access-device.js";
export declare class AccessHub extends AccessDevice {
    private _hkLockState;
    private doorbellRingRequestId;
    private lockDelayInterval;
    uda: AccessDeviceConfig;
    constructor(controller: AccessController, device: AccessDeviceConfig, accessory: PlatformAccessory);
    protected configureHints(): boolean;
    private configureDevice;
    private configureDoorbell;
    private configureLock;
    private configureDoorbellTrigger;
    private configureLockTrigger;
    private configureMqtt;
    private hubLockCommand;
    private get hkLockState();
    private set hkLockState(value);
    private get hubLockState();
    private eventHandler;
}
