import { FeatureOptionEntry } from "homebridge-plugin-utils";
export interface AccessOptions {
    controllers: AccessControllerOptions[];
    debugAll: boolean;
    options: string[];
    ringDelay: number;
}
export interface AccessControllerOptions {
    address: string;
    mqttTopic: string;
    mqttUrl: string;
    name: string;
    username: string;
    password: string;
}
interface AccessFeatureOption extends FeatureOptionEntry {
    hasCapability?: string[];
}
export declare const featureOptionCategories: {
    description: string;
    modelKey: string[];
    name: string;
}[];
export declare const featureOptions: {
    [index: string]: AccessFeatureOption[];
};
export {};
