import { API, DynamicPlatformPlugin, Logging, PlatformAccessory, PlatformConfig } from "homebridge";
import { AccessOptions } from "./access-options.js";
import { FeatureOptions } from "homebridge-plugin-utils";
export declare class AccessPlatform implements DynamicPlatformPlugin {
    accessories: PlatformAccessory[];
    readonly api: API;
    readonly config: AccessOptions;
    private readonly controllers;
    readonly featureOptions: FeatureOptions;
    readonly log: Logging;
    constructor(log: Logging, config: PlatformConfig, api: API);
    configureAccessory(accessory: PlatformAccessory): void;
    private launchControllers;
    debug(message: string, ...parameters: unknown[]): void;
}
